Skip to main content
POST
Revoke a share

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

share_id
string
required
Pattern: ^[0-9a-fA-F-]{36}$

Response

Successful Response

id
string
required
slug
string
required
name
string
required
recipient_kind
string
required
recipient_name
string
required
warehouse
string
required
status
string
required
owner
string
required
created_at
string
required
purpose
string
default:""
recipient_url
string
default:""
roles
string[]
tables
string[]
expires_at
string | null
expires_soon
boolean
default:false
key_hint
string
default:""
last_read_at
string | null
principal
string
default:""
client_id
string
default:""
key_created_at
string | null
activated_at
string | null
revoked_at
string | null
revoked_by
string
default:""
policies
Policies · object[]